curl --request PATCH \
--url 'https://api.scanova.io/lead/L9c2f4a1e/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 205,
"lead_id": "L9c2f4a1e",
"name": "Trade Show Signup",
"is_active": false,
"usage_count": 2,
"entries_count": 14,
"linked_qrs": [
{ "qr_code__id": 88, "qr_code__qrid": "Q7f3a", "qr_code__name": "Booth QR", "qr_code__qr_type": "dy" }
],
"linked_qrs_count": 1,
"created": "2026-08-16T20:44:51.008000+05:30",
"modified": "2026-09-08T10:12:00.000000+05:30",
"data": "{\"fields\":[{\"type\":\"email\",\"label\":\"Email\",\"required\":true}]}",
"webhooks": []
}
潜在客户与表单
更新潜在客户列表
PATCH /lead//
PATCH
/
lead
/
{lead_id}
/
curl --request PATCH \
--url 'https://api.scanova.io/lead/L9c2f4a1e/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 205,
"lead_id": "L9c2f4a1e",
"name": "Trade Show Signup",
"is_active": false,
"usage_count": 2,
"entries_count": 14,
"linked_qrs": [
{ "qr_code__id": 88, "qr_code__qrid": "Q7f3a", "qr_code__name": "Booth QR", "qr_code__qr_type": "dy" }
],
"linked_qrs_count": 1,
"created": "2026-08-16T20:44:51.008000+05:30",
"modified": "2026-09-08T10:12:00.000000+05:30",
"data": "{\"fields\":[{\"type\":\"email\",\"label\":\"Email\",\"required\":true}]}",
"webhooks": []
}
更新潜在客户列表的名称、表单定义或激活状态。
同时支持
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额的管理 API 密钥,作为原始 Authorization 标头值发送 —— 参见管理 API 概述。PUT https://api.scanova.io/lead/{lead_id}/
PATCH https://api.scanova.io/lead/{lead_id}/
string
必填
潜在客户列表的
lead_id。不可变 —— 无法通过此端点更改。string
潜在客户列表名称,最多 128 个字符。
string
描述潜在客户表单字段的 JSON 编码字符串(不是原始对象)。会根据创建时使用的相同架构进行验证 —— 格式错误的 JSON 或架构违规会在
data 下返回 400。boolean
表单是否在落地页上渲染。
curl --request PATCH \
--url 'https://api.scanova.io/lead/L9c2f4a1e/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 205,
"lead_id": "L9c2f4a1e",
"name": "Trade Show Signup",
"is_active": false,
"usage_count": 2,
"entries_count": 14,
"linked_qrs": [
{ "qr_code__id": 88, "qr_code__qrid": "Q7f3a", "qr_code__name": "Booth QR", "qr_code__qr_type": "dy" }
],
"linked_qrs_count": 1,
"created": "2026-08-16T20:44:51.008000+05:30",
"modified": "2026-09-08T10:12:00.000000+05:30",
"data": "{\"fields\":[{\"type\":\"email\",\"label\":\"Email\",\"required\":true}]}",
"webhooks": []
}
PUT 和 PATCH。如果 lead_id 不属于此账户,则返回 404。
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
Lead list updated.
此页面对您有帮助吗?